//===========================================================================
//
// 3d-tlm.C
//
// By Poman So
//
//===========================================================================

#include "3d-tlm.h"
#include "MainWind.h"
#include <time.h>

int check_time(){
  return 1;
/*
int    month,year;
int    exp_month, exp_year;
struct tm* ts;
time_t secs_now;
  time(&secs_now);
  ts        = localtime(&secs_now);
  exp_month = 1;
  exp_year  = 1996;
  month     = ts->tm_mon+1;
  year      = ts->tm_year+1900;
  if ((year<=exp_year) ||
      (year==(exp_year+1) && (month<=exp_month))
     ) return 1;
  cerr
    << "====================================================" << endl
    << "Licence expired on " << exp_month << '/' << exp_year << endl
    << "Contact the following address to renew your licence." << endl
    << "----------------------------------------------------" << endl
    << "Dr. W.J.R. Hoefer" << endl
    << "Department of Electrical and Computer Engineering" << endl
    << "University of Victoria" << endl
    << "Victoria, British Columbia" << endl
    << "Canada, V8W 3P6" << endl
    << endl
    << "FAX: 250-721-6052/6230" << endl
    << "TEL: 250-721-6030" << endl
    << "====================================================" << endl;
  return 0;
*/
}

int   Nx_,Ny_,Nz_; // number of nodes in x, y and z direction
float Cf_,Er_,Ur_, // dimension conversion factor and material constants
      Dt_;	   // delta t in seconds
int   NumIts_,	   // number of iterations performed.
      StopAt_,	   // stop iteration at
      Step_;	   // number of iterations per screen update
float Xmin_,	   // Min and Max values in the element stack
      Ymin_,
      Zmin_,
      Xmax_,
      Ymax_,
      Zmax_;
Mesh  *MeshPtr_;   // MeshPointer

int main(int argc, char **argv){
Nx_ = Ny_ = Nz_ = 10;
Cf_ = Er_ = Ur_ = 1;
Dt_     = 1e-10;
NumIts_ = 0;
StopAt_ = Min(1000,MAX_NUMT); //defined in file Analyzer.hxx
Step_   = 10;
MeshPtr_= 0;

Display    *display    = new Display(argc,argv);
MainWindow *mainwindow = new MainWindow(*display);
  if (check_time()){
    mainwindow->Map();
    display->Flush();
    mainwindow->DispatchEvents();
  }
  return 0;
}//-- main ---//


//===========================================================================
//
// End of 3d-tlm.C
//
//===========================================================================
